Table of Contents

What's New


GET /Modules/GEN/RequestTypes/{id}

Get a Request Type resource.

DELETE /Modules/GEN/RequestTypes/{id}

Delete an existing Request Type resource.

PATCH /Modules/GEN/RequestTypes/{id}

Update an existing Request Type resource.

GET /Modules/GEN/RequestTypes

Get a collection of Request Type resources.

POST /Modules/GEN/RequestTypes

Create a new Request Type resource.

GET /Modules/GEN/RequestTypes/Lookups/LookupRequestTypeChangePermissionTree

Lookup the permission set for changing the Request Type.

GET /Modules/GEN/RequestTypes/Lookups/LookupRequestTypeInsertPermissionTree

Lookup the permission set for creating the Request Type.

GET /Modules/GEN/RequestTypes/Batch/{ids}

Get a collection of Request Type resources for the set of id's.

POST /Modules/GEN/RequestTypes/Batch

Create a new collection of Request Type resources.

DELETE /Modules/GEN/RequestTypes/Batch

Delete a collection of existing Request Type resources.

PATCH /Modules/GEN/RequestTypes/Batch

Update a collection of existing Request Type resources.

PATCH /Modules/GEN/RequestTypes/{id}/Active

Change the IsActive status for an existing Request Type resource.

PATCH /Modules/GEN/RequestTypes/{id}/PermissionTree

Change the PermissionTree for an existing Request Type resource.

PATCH /Modules/GEN/RequestTypes/Batch/Active

Change the IsActive status for a collection of existing Request Type resources.

PATCH /Modules/GEN/RequestTypes/Batch/PermissionTree

Change the PermissionTree status for a collection of existing Request Type resources.

GET /Modules/GEN/Sites/Lookups/LookupFinancialYearPeriod

Lookup the Financial Year for the Site.

GET /Modules/GEN/Sites/Lookups/LookupFinancialYear

Lookup the Financial Year for the Site.

PATCH /Modules/GEN/Sites/MatchBatch

Update a collection of existing Site resources to have the same value(s).

GET /Modules/GEN/Suppliers/Lookups/LookupSupplierDefaultTaxRate

Lookup the Supplier Tax Rate for the Supplier.

What's Changed


GET /Modules/GEN/Sites/{id}
Return Type:

Changed response : 200 OK

Success response - body contains Site

  • Changed content type : application/vnd.onkey.entity+json

    • Changed property properties (object)

      • Added property financialYearPeriodId (integer)

      • Added property financialYearPeriodCode (string)

      • Added property financialYearPeriodDescription (string)

      • Added property financialYearPeriodEndDate (string)

      • Added property financialYearPeriodFinancialYearId (integer)

      • Added property financialYearPeriodFinancialYearCode (string)

      • Added property financialYearPeriodFinancialYearDescription (string)

      • Added property financialYearPeriodFinancialYearEndDate (string)

      • Added property financialYearPeriodFinancialYearStartDate (string)

      • Added property financialYearPeriodStartDate (string)

POST /Modules/GEN/Sites
Request:

Changed content type : application/vnd.onkey.entity+json

  • Changed property properties (object)

    New optional properties:

    • currencyId
    • Added property financialYearPeriodId (integer)
GET /Modules/GEN/Sites/Batch/{ids}
Return Type:

Changed response : 200 OK

Success response - body contains Site collection

  • Changed content type : application/vnd.onkey.entitycollection+json

    • Changed property items (array)

      Collection of Site entities

      Changed items (object):

      • Changed property properties (object)

        • Added property financialYearPeriodId (integer)

        • Added property financialYearPeriodCode (string)

        • Added property financialYearPeriodDescription (string)

        • Added property financialYearPeriodEndDate (string)

        • Added property financialYearPeriodFinancialYearId (integer)

        • Added property financialYearPeriodFinancialYearCode (string)

        • Added property financialYearPeriodFinancialYearDescription (string)

        • Added property financialYearPeriodFinancialYearEndDate (string)

        • Added property financialYearPeriodFinancialYearStartDate (string)

        • Added property financialYearPeriodStartDate (string)

POST /Modules/GEN/Sites/Batch
Request:

Changed content type : application/vnd.onkey.entitycollection+json

Changed items (object):

  • Changed property properties (object)

    New optional properties:

    • currencyId
    • Added property financialYearPeriodId (integer)
POST /Modules/GEN/Sites/ContactPhoneNumbers
Request:

Changed content type : application/vnd.onkey.entity+json

  • Changed property properties (object)

    • Changed property phoneNumber (string)
POST /Modules/GEN/Sites/ContactPhoneNumbers/Batch
Request:

Changed content type : application/vnd.onkey.entitycollection+json

Changed items (object):

  • Changed property properties (object)

    • Changed property phoneNumber (string)
GET /Modules/GEN/Suppliers/{id}
Return Type:

Changed response : 200 OK

Success response - body contains Supplier

  • Changed content type : application/vnd.onkey.entity+json

    • Changed property properties (object)

      • Added property defaultTaxRatePercentageId (integer)

      • Added property defaultTaxRatePercentageTaxRate (number)

      • Added property defaultTaxRatePercentageBuyingSiteId (integer)

      • Added property defaultTaxRatePercentageBuyingSiteCode (string)

      • Added property defaultTaxRatePercentageBuyingSiteDescription (string)

      • Added property discountPercentage (number)

      • Added property taxNumber (string)

POST /Modules/GEN/Suppliers
Request:

Changed content type : application/vnd.onkey.entity+json

  • Changed property properties (object)

    New required properties:

    • discountPercentage
    • Added property discountPercentage (number)

    • Added property defaultTaxRatePercentageId (integer)

    • Added property taxNumber (string)

GET /Modules/GEN/Suppliers/Batch/{ids}
Return Type:

Changed response : 200 OK

Success response - body contains Supplier collection

  • Changed content type : application/vnd.onkey.entitycollection+json

    • Changed property items (array)

      Collection of Supplier entities

      Changed items (object):

      • Changed property properties (object)

        • Added property defaultTaxRatePercentageId (integer)

        • Added property defaultTaxRatePercentageTaxRate (number)

        • Added property defaultTaxRatePercentageBuyingSiteId (integer)

        • Added property defaultTaxRatePercentageBuyingSiteCode (string)

        • Added property defaultTaxRatePercentageBuyingSiteDescription (string)

        • Added property discountPercentage (number)

        • Added property taxNumber (string)

POST /Modules/GEN/Suppliers/Batch
Request:

Changed content type : application/vnd.onkey.entitycollection+json

Changed items (object):

  • Changed property properties (object)

    New required properties:

    • discountPercentage
    • Added property discountPercentage (number)

    • Added property defaultTaxRatePercentageId (integer)

    • Added property taxNumber (string)